Bug 1544963

Summary: Fedora, with Xen hypervisor dont boot with kernel 4.15.4-300
Product: [Fedora] Fedora Reporter: nucleo <alekcejk>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: airlied, ajax, alekcejk, bskeggs, ewk, hdegoede, h.reindl, ichavero, itamar, jarodwilson, jforbes, jglisse, john.j5live, jonathan, josef, kernel-maint, labbott, linville, m.a.young, mchehab, mjg59, sdmau63ndf, steved, vivien.frasca, whaveten, wim.ten.have
Target Milestone: ---Flags: labbott: needinfo? (alekcejk)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1548906 (view as bug list) Environment:
Last Closed: 2018-11-30 23:01:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description nucleo 2018-02-13 21:20:54 UTC
Description of problem:
'Fedora, with Xen hypervisor' dont boot with kernel 4.15.2-300

Version-Release number of selected component (if applicable):
kernel-4.15.2-300.fc27.x86_64

Steps to Reproduce:
Boot 'Fedora, with Xen hypervisor ' with kernel 4.15.2-300

Actual results:
After loading /boot/xen-4.9.1.gz kernel do not start and reboots after couple of seconds, no kernel messages even if quiet kernel option removed.

Additional info:
kernel 4.14.18-300 boots fine.

Comment 1 Harald Reindl 2018-02-13 21:24:09 UTC
you might try 4.15.3 - build recently finished and all my testings look fine
https://koji.fedoraproject.org/koji/buildinfo?buildID=1044175

Comment 2 nucleo 2018-02-13 21:37:54 UTC
4.15.3-300 also don't boot with Xen hypervisor (and boots without hypervisor)

Comment 3 Laura Abbott 2018-02-14 16:47:14 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=25047403 I found one patch that talked about a panic on Xen, can you test this scratch build when it finishes?

(https://patchwork.kernel.org/patch/10206349/ for the curious)

Comment 4 nucleo 2018-02-14 17:57:39 UTC
(In reply to Laura Abbott from comment #3)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25047403 I found one
> patch that talked about a panic on Xen, can you test this scratch build when
> it finishes?
> 
> (https://patchwork.kernel.org/patch/10206349/ for the curious)

4.15.3-301 from scratch build also reboots in dom0.

Comment 5 Laura Abbott 2018-02-14 18:52:12 UTC
The only other last thing to try is booting with nopti (although I think all those issues should be taken care of by now). Failing that bisection might be the best option unless something pops up on the mailing list.

Comment 6 nucleo 2018-02-14 21:58:10 UTC
(In reply to Laura Abbott from comment #5)
> The only other last thing to try is booting with nopti (although I think all
> those issues should be taken care of by now). Failing that bisection might
> be the best option unless something pops up on the mailing list.

I already tried pti=off spectre_v2=off but it didn't help.

Comment 7 Michael Young 2018-02-17 17:03:59 UTC
Does the scratch build kernel temporarily at https://koji.fedoraproject.org/koji/taskinfo?taskID=25120731 work?
It is kernel-4.15.3-300.fc27.x86_64 with the patch at https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=4f277295e54c5b7340e48efea3fc5cc21a2872b7 and works for me with a domU that fails with plain kernel-4.15.3-300.fc27.x86_64 and I expect will fix the dom0 issue as well though I can't safely test it until Monday.

Comment 8 nucleo 2018-02-17 20:11:32 UTC
(In reply to Michael Young from comment #7)
> Does the scratch build kernel temporarily at
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25120731 work?
> It is kernel-4.15.3-300.fc27.x86_64 with the patch at
> https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/
> commit/?id=4f277295e54c5b7340e48efea3fc5cc21a2872b7 and works for me with a
> domU that fails with plain kernel-4.15.3-300.fc27.x86_64 and I expect will
> fix the dom0 issue as well though I can't safely test it until Monday.

Yes, dom0 boots with 4.15.3-300.1.fc27.x86_64.

Comment 9 nucleo 2018-02-21 20:10:10 UTC
kernel 4.15.4-300 from updates-testing fails to boot.
Patch from Comment 7 was not applied in this build?

Comment 10 Michael Young 2018-02-21 21:28:51 UTC
The good news is (if I understand the upstream kernel patching process correctly) that the patch is likely to be in 4.15.5 which may only be a couple of days away from release.

Comment 11 nucleo 2018-02-24 15:16:29 UTC
I confirm that 4.15.5-300.fc27.x86_64 boots in dom0
https://koji.fedoraproject.org/koji/buildinfo?buildID=1049171

Comment 12 Laura Abbott 2018-02-26 22:25:36 UTC
*** Bug 1548906 has been marked as a duplicate of this bug. ***

Comment 13 vivien.frasca 2018-02-28 08:29:24 UTC
I've got the same problem with kernel 4.15.4-300.cf27.x86_64 but without a virtualized environment.

Comment 14 Michael Young 2018-02-28 10:22:57 UTC
(In reply to vivien.frasca from comment #13)
> I've got the same problem with kernel 4.15.4-300.cf27.x86_64 but without a
> virtualized environment.

This bug is specific to Xen, and fixed in 4.15.5. I suggest you re-test with  kernel-4.15.5-300.fc27 or kernel-4.15.6-300.fc27 from updates-testing and open a new bug if you are still having problems.

Comment 15 Fedora Update System 2018-02-28 22:04:30 UTC
kernel-4.15.6-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a2bd7195f

Comment 16 Fedora Update System 2018-03-01 16:24:14 UTC
kernel-4.15.6-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 vivien.frasca 2018-03-02 16:06:57 UTC
I still have this bug with kernel 4.15.6-300.fc27.

But it is probably caused by nvidia akmods don't build correctly.

So please ignore my interventions.

Comment 18 nucleo 2018-06-19 17:31:10 UTC
Problem re-appeared in kernel-4.17.2-200.fc28.x86_64 (no problem in 4.16.16-300.fc28).

Comment 19 Justin M. Forbes 2018-06-19 18:38:45 UTC
I am guessing, since the previous bug was fixed with a patch that is now upstream, what we have in 4.17.2 is a completely different bug. Mind closing this one and opening a new one against F28 for the new bug?

Comment 20 nucleo 2018-06-19 18:45:45 UTC
copy-pasted to bug 1592976

Comment 21 Laura Abbott 2018-10-01 21:22:07 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 22 Ben Cotton 2018-11-27 14:13:11 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Ben Cotton 2018-11-30 23:01:53 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.